#!/bin/bash

wordsFile="/home/fanta/dev4fun/english_random_words/words.txt"
wordsFileTmp="/tmp/.words.txt"
totalWords=$(wc -l $wordsFile | cut -d " " -f 1)
limit=10
counter=0

sort -R $wordsFile > $wordsFileTmp

checkWords() {
	if [ "$1" == "$2" ]
	then
		echo -e "\e[32m    RIGHT\e[0m"
		counter=$(echo $counter + 1 | bc)
		if [ $counter -gt $limit ]
		then
			echo "Muy bien. Prueba de nuevo otro día a conseguir de nuevo el reto"
			exit
		fi
	else
		echo -e "\e[31m    WRONG\e[0m [$1]"
		counter=$(echo $counter - 1 | bc)
	fi
}

while read word
do
	englishWord=$(echo "$word" | cut -d ";" -f 1)
	spanishWord=$(echo "$word" | cut -d ";" -f 2)

	echo -e "\e[1m[$counter] $englishWord\e[0m"
	read -u 1 -p "    " input 
	checkWords "$spanishWord" "$input"

done < $wordsFileTmp


